Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractDocument.DocumentError.ErrorLocation

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.DocumentError.ErrorLocation

All Implemented Interfaces:
  DOMLocator

Enclosing class:
  AbstractDocument.DocumentError

    protected class AbstractDocument.DocumentError.ErrorLocation

extends Object
implements DOMLocator

The DOMLocator implementation.

Field Summary
`protected Node` | `node` The node that caused the error.

Constructor Summary
`AbstractDocument.DocumentError.ErrorLocation(Node n)` Create a new ErrorLocation object.

Method Summary
`int` | `getByteOffset()` Get the byte offset of the error node.
`int` | `getColumnNumber()` Get the column number of the error node.
`int` | `getLineNumber()` Get the line number of the error node.
`Node` | `getRelatedNode()` Get the node.
`String` | `getUri()` Get the document URI.
`int` | `getUtf16Offset()` Get the UTF-16 offset of the error node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    protected Node node

  The node that caused the error.

Constructor Detail

### AbstractDocument.DocumentError.ErrorLocation

    public AbstractDocument.DocumentError.ErrorLocation(Node n)

  Create a new ErrorLocation object.

Method Detail

### getLineNumber

    public int getLineNumber()

  Get the line number of the error node.

  Specified by:
    `getLineNumber` in interface `DOMLocator`

### getColumnNumber

    public int getColumnNumber()

  Get the column number of the error node.

  Specified by:
    `getColumnNumber` in interface `DOMLocator`

### getByteOffset

    public int getByteOffset()

  Get the byte offset of the error node.

  Specified by:
    `getByteOffset` in interface `DOMLocator`

### getUtf16Offset

    public int getUtf16Offset()

  Get the UTF-16 offset of the error node.

  Specified by:
    `getUtf16Offset` in interface `DOMLocator`

### getRelatedNode

    public Node getRelatedNode()

  Get the node.

  Specified by:
    `getRelatedNode` in interface `DOMLocator`

### getUri

    public String getUri()

  Get the document URI.

  Specified by:
    `getUri` in interface `DOMLocator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.